# QXmlSchemaValidator Class Reference

### [com.trolltech.qt.xmlpatterns package]

### Constructor

- void QXmlSchemaValidator()
- void QXmlSchemaValidator(QXmlSchema schema)

### Constructor Properties

- prototype: The QXmlSchemaValidator prototype object

### Prototype Object Properties

- QAbstractMessageHandler messageHandler()
- QXmlNamePool namePool()
- QNetworkAccessManager networkAccessManager()
- QXmlSchema schema()
- void setMessageHandler(QAbstractMessageHandler handler)
- void setNetworkAccessManager(QNetworkAccessManager networkmanager)
- void setSchema(QXmlSchema schema)
- void setUriResolver(QAbstractUriResolver resolver)
- QAbstractUriResolver uriResolver()
- bool validate(QIODevice source, QUrl documentUri)

### Instance Properties

QXmlSchemaValidator objects have no special properties beyond those inherited from the QXmlSchemaValidator prototype object.